using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class UserMst : DataEntityBase
	{
		public UserMst()
		{
			base.InitMetaData();
		}

		private System.Int32 _UserID;
		public System.Int32 UserID
		{
			get
			{
				return this._UserID;
			}
			set
			{
				this._UserID = value;
				IsChanged = true;
			}
		}

		private System.String _SubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return this._SubSystemID;
			}
			set
			{
				this._SubSystemID = value;
				IsChanged = true;
			}
		}

		private System.Int32 _CompanyID;
		public System.Int32 CompanyID
		{
			get
			{
				return this._CompanyID;
			}
			set
			{
				this._CompanyID = value;
				IsChanged = true;
			}
		}

		private System.String _UserName;
		public System.String UserName
		{
			get
			{
				return this._UserName;
			}
			set
			{
				this._UserName = value;
				IsChanged = true;
			}
		}

		private System.String _Password;
		public System.String Password
		{
			get
			{
				return this._Password;
			}
			set
			{
				this._Password = value;
				IsChanged = true;
			}
		}

		private System.String _EMail;
		public System.String EMail
		{
			get
			{
				return this._EMail;
			}
			set
			{
				this._EMail = value;
				IsChanged = true;
			}
		}

		private System.String _Tele;
		public System.String Tele
		{
			get
			{
				return this._Tele;
			}
			set
			{
				this._Tele = value;
				IsChanged = true;
			}
		}

		private System.String _TrueName;
		public System.String TrueName
		{
			get
			{
				return this._TrueName;
			}
			set
			{
				this._TrueName = value;
				IsChanged = true;
			}
		}

		private System.String _Memo;
		public System.String Memo
		{
			get
			{
				return this._Memo;
			}
			set
			{
				this._Memo = value;
				IsChanged = true;
			}
		}

		private System.Int32 _Visitation;
		public System.Int32 Visitation
		{
			get
			{
				return this._Visitation;
			}
			set
			{
				this._Visitation = value;
				IsChanged = true;
			}
		}

		private System.DateTime _LastLoginTime;
		public System.DateTime LastLoginTime
		{
			get
			{
				return this._LastLoginTime;
			}
			set
			{
				this._LastLoginTime = value;
				IsChanged = true;
			}
		}

		private System.Int64 _SystemFlag;
		public System.Int64 SystemFlag
		{
			get
			{
				return this._SystemFlag;
			}
			set
			{
				this._SystemFlag = value;
				IsChanged = true;
			}
		}

		private System.Int16 _AdminFlag;
		public System.Int16 AdminFlag
		{
			get
			{
				return this._AdminFlag;
			}
			set
			{
				this._AdminFlag = value;
				IsChanged = true;
			}
		}

		private System.Int16 _Status;
		public System.Int16 Status
		{
			get
			{
				return this._Status;
			}
			set
			{
				this._Status = value;
				IsChanged = true;
			}
		}

		private System.String _Question1;
		public System.String Question1
		{
			get
			{
				return this._Question1;
			}
			set
			{
				this._Question1 = value;
				IsChanged = true;
			}
		}

		private System.String _Answer;
		public System.String Answer
		{
			get
			{
				return this._Answer;
			}
			set
			{
				this._Answer = value;
				IsChanged = true;
			}
		}

		private System.String _Question2;
		public System.String Question2
		{
			get
			{
				return this._Question2;
			}
			set
			{
				this._Question2 = value;
				IsChanged = true;
			}
		}

		private System.String _Answer2;
		public System.String Answer2
		{
			get
			{
				return this._Answer2;
			}
			set
			{
				this._Answer2 = value;
				IsChanged = true;
			}
		}

		private System.String _Question3;
		public System.String Question3
		{
			get
			{
				return this._Question3;
			}
			set
			{
				this._Question3 = value;
				IsChanged = true;
			}
		}

		private System.String _Answer3;
		public System.String Answer3
		{
			get
			{
				return this._Answer3;
			}
			set
			{
				this._Answer3 = value;
				IsChanged = true;
			}
		}

		private System.String _Question4;
		public System.String Question4
		{
			get
			{
				return this._Question4;
			}
			set
			{
				this._Question4 = value;
				IsChanged = true;
			}
		}

		private System.String _Answer4;
		public System.String Answer4
		{
			get
			{
				return this._Answer4;
			}
			set
			{
				this._Answer4 = value;
				IsChanged = true;
			}
		}

		private System.DateTime _CreateTime;
		public System.DateTime CreateTime
		{
			get
			{
				return this._CreateTime;
			}
			set
			{
				this._CreateTime = value;
				IsChanged = true;
			}
		}

		private System.Int32 _CreateUser;
		public System.Int32 CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateTime;
		public System.DateTime UpdateTime
		{
			get
			{
				return this._UpdateTime;
			}
			set
			{
				this._UpdateTime = value;
				IsChanged = true;
			}
		}

		private System.Int32 _UpdateUser;
		public System.Int32 UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}

		private System.Int16 _UserGrade;
		public System.Int16 UserGrade
		{
			get
			{
				return this._UserGrade;
			}
			set
			{
				this._UserGrade = value;
				IsChanged = true;
			}
		}
	}
}